Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlModelReader_11

    java.lang.Object
      biouml.plugins.sbml.SbmlConstants
          biouml.plugins.sbml.SbmlSupport
              biouml.plugins.sbml.SbmlModelReader
                  biouml.plugins.sbml.SbmlModelReader_11

Direct Known Subclasses:
  SbmlModelReader_12

public class SbmlModelReader_11
extends SbmlModelReader

To do:
  read Units, read Rules, functions support
Pendung:
  generation of name for parameters defined in reaction. Currently name is generated as `reactioName_parameterName`., name validations that they are valid SNames

Field Summary
`protected Parser` | `parser`
`protected DefaultParserContext` | `parserContext`

Fields inherited from class biouml.plugins.sbml.SbmlModelReader
`compartmentMap, defaultCompartment, level, linearFormatter, maxVisibleVariableNumber, shouldLayout, specieMap, variableResolver, version, visibleVariableNumber`

Fields inherited from class biouml.plugins.sbml.SbmlSupport
`diagram, emodel, log, modelName`

Fields inherited from class biouml.plugins.sbml.SbmlConstants
`ANNOTATION_ELEMENT, ASSIGNEMENT_ELEMENT, ASSIGNEMENT_LIST_ELEMENT, ASSIGNEMENT_VARIABLE_ATTR, BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIE_INFO_ELEMENT, BIOUML_SPECIE_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPARTMENT_ATTR, COMPARTMENT_DIMENTION_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_LIST_ELEMENT, COMPARTMENT_OUTSIDE_ATTR, COMPARTMENT_VOLUME_ATTR, CONSTANT_ATTR, DELAY_ELEMENT, DENOMINATOR_ATTR, EVENT_ELEMENT, EVENT_LIST_ELEMENT, FORMULA_ATTR, FUNCTION_DEFINITION_ELEMENT, FUNCTION_LIST_ELEMENT, ID_ATTR, KINETIC_LAW_ELEMENT, MATH_ATTR, MATH_ELEMENT, MODEL_ELEMENT, MODIFIER_LIST_ELEMENT, NAME_ATTR, NOTES_ELEMENT, PARAMETER_ELEMENT, PARAMETER_LIST_ELEMENT, PARAMETER_VALUE_ATTR, PRODUCT_LIST_ELEMENT, PRODUCT_STUB, REACTANT_LIST_ELEMENT, REACTANT_STUB, REACTION_ELEMENT, REACTION_FAST_ATTR, REACTION_LIST_ELEMENT, REACTION_REVERSIBLE_ATTR, RULE_ALGEBRAIC_ELEMENT, RULE_ASSIGNEMENT_ELEMENT, RULE_COMMENT_ATTR, RULE_COMPARTMENT_VOLUME_ELEMENT, RULE_FORMULA_ATTR, RULE_LIST_ELEMENT, RULE_PARAMETER_ELEMENT, RULE_RATE_ELEMENT, RULE_SPECIE_CONCENTRATION_ELEMENT, RULE_VARIABLE_ATTR, SBML_ELEMENT, SBML_LEVEL_ATTR, SBML_LEVEL_VALUE_1, SBML_LEVEL_VALUE_2, SBML_VERSION_ATTR, SBML_VERSION_VALUE_1, SBML_VERSION_VALUE_2, SBML_XMLNS_VALUE, SPECIE_ATTR, SPECIE_ATTR_11, SPECIE_BOUNDARY_CONDITION_ATTR, SPECIE_CHARGE_ATTR, SPECIE_DEFAULT_SUBSTANCE_UNITS, SPECIE_ELEMENT, SPECIE_ELEMENT_11, SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR, SPECIE_INITIAL_AMOUNT_ATTR, SPECIE_INITIAL_CONCENTRATION_ATTR, SPECIE_LIST_ELEMENT, SPECIE_REFERENCE_ELEMENT, SPECIE_REFERENCE_ELEMENT_11, SPECIE_SPATIAL_SIZE_UNITS_ATTR, SPECIE_SUBSTANCE_UNITS_ATTR, STOICHIOMETRY_ATTR, STOICHIOMETRY_MATH_ELEMENT, SUBSTANCE_UNITS_ATTR, TIME_UNITS_ATTR, TRIGGER_ELEMENT, TYPE_ATTR, UNIT_LIST_ELEMENT, UNIT_SUBSTANCE, UNIT_TIME, UNIT_VOLUME, UNITS_ATTR, XMLNS_ATTR`

Constructor Summary
`SbmlModelReader_11()`

Method Summary
`protected DiagramType` | `getDiagramType()`
`protected java.lang.String` | `getId(org.w3c.dom.Element element)`
`protected java.lang.String` | `getSpecieAttribute(org.w3c.dom.Element specieRef)`
`protected org.w3c.dom.NodeList` | `getSpecieElement(org.w3c.dom.Element specieList)`
`protected org.w3c.dom.NodeList` | `getSpecieReference(org.w3c.dom.Element list)`
`protected java.lang.String` | `getTitle(org.w3c.dom.Element element)`
`protected void` | `initParser()`
`protected boolean` | `isValid(java.lang.String elementName, java.lang.Object element, java.lang.String name)`
`protected void` | `readKineticLawFormula(org.w3c.dom.Element kineticLawElement, Node reaction, KineticLaw law)`
`protected java.lang.String` | `readMath(java.lang.String formula, DiagramElement de)`
`protected void` | `readRule(org.w3c.dom.Element ruleElement, int i)`
`protected void` | `readStoichiometry(org.w3c.dom.Element element, SpecieReference reference, Node reaction)`
`protected boolean` | `validateList(java.lang.Object element, java.lang.String tag, java.lang.String errorMissing, java.lang.String errorEmpty, java.lang.String name)`
`protected void` | `validateReaction(Node reaction)`

Methods inherited from class biouml.plugins.sbml.SbmlModelReader
`convertUnit, isReaction, isSpecie, layout, layout, parseAsCompartment, parseAsParameter, parseAsSpecie, read, readCompartment, readCompartmentList, readEventList, readFunctionDefinitionList, readKineticLaw, readModifiers, readNotes, readParameter, readParameterList, readProducts, readReactants, readReaction, readReactionList, readRuleList, readSpecie, readSpecieList, readSpecieReference, readUnitList`

Methods inherited from class biouml.plugins.sbml.SbmlSupport
`error, getElement, parseFormula, readXhtml, warn, writeXhtml`

Methods inherited from class biouml.plugins.sbml.SbmlConstants
`DEFAULT_SPATIAL_SIZE_UNITS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected Parser parser

### parserContext

    protected DefaultParserContext parserContext

Constructor Detail

### SbmlModelReader_11

    public SbmlModelReader_11()

Method Detail

### getDiagramType

    protected DiagramType getDiagramType()

  Overrides:
    `getDiagramType` in class `SbmlModelReader`

### getId

    protected java.lang.String getId(org.w3c.dom.Element element)

  Specified by:
    `getId` in class `SbmlModelReader`

### getTitle

    protected java.lang.String getTitle(org.w3c.dom.Element element)

  Specified by:
    `getTitle` in class `SbmlModelReader`

### getSpecieElement

    protected org.w3c.dom.NodeList getSpecieElement(org.w3c.dom.Element specieList)

  Overrides:
    `getSpecieElement` in class `SbmlModelReader`

### getSpecieReference

    protected org.w3c.dom.NodeList getSpecieReference(org.w3c.dom.Element list)

  Overrides:
    `getSpecieReference` in class `SbmlModelReader`

### getSpecieAttribute

    protected java.lang.String getSpecieAttribute(org.w3c.dom.Element specieRef)

  Overrides:
    `getSpecieAttribute` in class `SbmlModelReader`

### isValid

    protected boolean isValid(java.lang.String elementName,
                              java.lang.Object element,
                              java.lang.String name)

  Specified by:
    `isValid` in class `SbmlModelReader`

### validateList

    protected boolean validateList(java.lang.Object element,
                                   java.lang.String tag,
                                   java.lang.String errorMissing,
                                   java.lang.String errorEmpty,
                                   java.lang.String name)

### validateReaction

    protected void validateReaction(Node reaction)

  Overrides:
    `validateReaction` in class `SbmlModelReader`

### readKineticLawFormula

    protected void readKineticLawFormula(org.w3c.dom.Element kineticLawElement,
                                         Node reaction,
                                         KineticLaw law)

  Specified by:
    `readKineticLawFormula` in class `SbmlModelReader`

### readStoichiometry

    protected void readStoichiometry(org.w3c.dom.Element element,
                                     SpecieReference reference,
                                     Node reaction)

  Specified by:
    `readStoichiometry` in class `SbmlModelReader`

### readRule

    protected void readRule(org.w3c.dom.Element ruleElement,
                            int i)

  Specified by:
    `readRule` in class `SbmlModelReader`

### initParser

    protected void initParser()

### readMath

    protected java.lang.String readMath(java.lang.String formula,
                                        DiagramElement de)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.